Index: /extensions/PWG_Stuffs/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/ru_RU/plugin.lang.php	(revision 9663)
+++ /extensions/PWG_Stuffs/language/ru_RU/plugin.lang.php	(revision 9664)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Управление модулями';
+$lang['stuffs_add_mod'] = 'Добавить модуль';
+$lang['stuffs_edit_mod'] = 'Редактировать модуль';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Название модуля';
+$lang['stuffs_desc'] = 'Описание';
+$lang['stuffs_only_for_admin'] = '(только для панели администрирования)';
+$lang['stuffs_type'] = 'Тип модуля';
+$lang['stuffs_position'] = 'Позиция';
+$lang['stuffs_id_ligne'] = 'ID строки';
+$lang['stuffs_width'] = 'ширина';
+$lang['stuffs_action'] = 'Действие';
+$lang['stuffs_edit'] = 'Изменить модуль';
+$lang['stuffs_delete'] = 'Удалить модуль';
+$lang['stuffs_confirm_delete'] = 'Вы уверены, что хотите удалить модуль %s?';
+$lang['stuffs_main_block'] = 'Основной блок';
+$lang['Hide on home page'] = 'Скрыть на главной странице';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Добавить новый модуль';
+$lang['stuffs_module_config'] = 'Настройки модуля';
+$lang['stuffs_visual_config'] = 'Отображение модуля';
+$lang['stuffs_module_options'] = 'Опции модуля';
+$lang['stuffs_authorized_group'] = 'Авторизованная группа';
+$lang['stuffs_authorized_users'] = 'Авторизованные пользователи';
+$lang['stuffs_public_module'] = '(Оставьте пустым для открытых модулей)';
+$lang['stuffs_show_title'] = 'Показывать название модуля';
+$lang['stuffs_show_module_on'] = 'Показывать блок :';
+$lang['stuffs_show_on_home'] = 'На главной странице';
+$lang['stuffs_show_on_root'] = 'На странице категории';
+$lang['stuffs_show_on_cats'] = 'На всех страницах этой категории';
+$lang['stuffs_show_on_picture'] = 'На страницах изображения';
+$lang['stuffs_no_options'] = 'Для этого модуля нет настроек';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Активировать управление авторизацией:';
+$lang['stuffs_group_perm'] = 'по группам';
+$lang['stuffs_user_perm'] = 'по типу пользователя';
+$lang['stuffs_level_perm'] = 'по уровню доступа';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Выбрать все';
+$lang['stuffs_unselect_all'] = 'Инверсия';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Порядок успешно сохранен.';
+$lang['stuffs_upgrade_message'] = 'Плагин PWG Stuffs был переименован. Теперь он называется "Модули".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Вы не выбрали ни один модуль.';
+$lang['stuffs_no_name'] = 'Вы должны определить название модуля';
+$lang['stuffs_parent_plugin_is_missing'] = 'Основной плагин не активирован. Вы должны удалить этот модуль и реактивировать основной плагин.';
+$lang['stuffs_piclens_need_upgrade'] = 'Плагин PICLENS нужно актуализировать. Плагин PWG Stuffs не работает с этой версией Piclens.';
 
 //------------------------------------------------------------------------------
@@ -66,12 +66,6 @@
 $lang['lastcoms_width'] = 'максимальная ширина';
 $lang['lastcoms_height'] = 'максимальная высота';
-$lang['lastcoms_decal'] = 'Сдвиг комментариев по миниатюрам';
-$lang['lastcoms_type'] = 'Показать отображение комментариев';
-$lang['lastcoms_norm'] = 'Нормальный';
-$lang['lastcoms_cat'] = 'Категории';
-$lang['lastcoms_options_categories'] = 'Варианты стиля "Категории" (опционально)';
 $lang['lastcoms_nb_cadres'] = 'Количество кадров в каждой строке';
 $lang['lastcoms_taille_cadres'] = 'Высота кадра';
-
 
 //------------------------------------------------------------------------------
@@ -84,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Убрать блок "идентификации" в меню';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -94,5 +87,4 @@
 $lang['personal_content'] = 'содержание';
 
-
 //------------------------------------------------------------------------------
 //              Module Tags
@@ -102,9 +94,8 @@
 $lang['module_desc_tags'] = 'Отобразить теги в галерее';
 
-/* TODO */$lang['stuffs_tags_default_display'] = 'Tags display';
-/* TODO */$lang['stuffs_tags_cloud'] = 'Tags cloud';
-/* TODO */$lang['stuffs_tags_letters'] = 'Group by lettters';
-/* TODO */$lang['stuffs_tags_cumulus'] = 'Use cumulus mode (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> must be installed)';
-
+$lang['stuffs_tags_default_display'] = 'Отображение меток';
+$lang['stuffs_tags_cloud'] = 'Облако меток';
+$lang['stuffs_tags_letters'] = 'Группировка по алфавиту';
+$lang['stuffs_tags_cumulus'] = 'Используйте опцию cumulus (плагин <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> должен быть установлен)';
 
 //------------------------------------------------------------------------------
@@ -112,16 +103,16 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_mostvisited'] = 'Most visited';
-/* TODO */$lang['module_desc_mostvisited'] = 'Display x most visited pictures in the gallery or a category';
+$lang['module_name_mostvisited'] = 'Самые посещаемые';
+$lang['module_desc_mostvisited'] = 'Показать x самых посещаемых фотографий в галерее или категории';
 
-/* TODO */$lang['stuffs_mv_nb_images'] = 'Maximum number of pictures to display';
-/* TODO */$lang['stuffs_mv_category_display'] = 'Display on categories pages';
-/* TODO */$lang['stuffs_mv_all_cats'] = 'All categories';
-/* TODO */$lang['stuffs_mv_w_thumb'] = 'Only categories with thumbnails';
-/* TODO */$lang['stuffs_mv_wo_thumb'] = 'Only categories without thumbnails';
-/* TODO */$lang['stuffs_mv_selected_cats'] = 'Only selected categories';
+$lang['stuffs_mv_nb_images'] = 'Максимальное число фотографий, которые показываются';
+$lang['stuffs_mv_category_display'] = 'Показывать на страницах категорий';
+$lang['stuffs_mv_all_cats'] = 'Все категории';
+$lang['stuffs_mv_w_thumb'] = 'Только категории с миниатюрами';
+$lang['stuffs_mv_wo_thumb'] = 'Только категории без миниатюр';
+$lang['stuffs_mv_selected_cats'] = 'Только выбранные категории';
 
-/* TODO */$lang['stuffs_mv_cat_selection'] = 'Categories selection';
-/* TODO */$lang['stuffs_mv_hold_ctrl'] = 'hold CTRL';
+$lang['stuffs_mv_cat_selection'] = 'Выбор категорий';
+$lang['stuffs_mv_hold_ctrl'] = 'удерживайте CTRL';
 
 //------------------------------------------------------------------------------
@@ -129,6 +120,6 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_bestrated'] = 'Best rated';
-/* TODO */$lang['module_desc_bestrated'] = 'Display x best rated pictures in the gallery or a category';
+$lang['module_name_bestrated'] = 'Самые высокооцененные';
+$lang['module_desc_bestrated'] = 'Показать x самых высокооцененных фотографий в галерее или категорииDisplay x best rated';
 
 //------------------------------------------------------------------------------
@@ -136,6 +127,6 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_recent'] = 'Recent pictures';
-/* TODO */$lang['module_desc_recent'] = 'Display x recent pictures in the gallery or a category (if exist)';
+$lang['module_name_recent'] = 'Недавно добавленные фотографии';
+$lang['module_desc_recent'] = 'Показать x последних фотографий в галерее или категории (если есть)';
 
 //------------------------------------------------------------------------------
@@ -143,6 +134,6 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_random'] = 'Random pictures';
-/* TODO */$lang['module_desc_random'] = 'Display x random pictures in the gallery or a category';
+$lang['module_name_random'] = 'Случайная фотография';
+$lang['module_desc_random'] = 'Показать x случайных фотографий в галерее или категории';
 
 //------------------------------------------------------------------------------
@@ -150,8 +141,8 @@
 //------------------------------------------------------------------------------
 
-/* TODO */$lang['module_name_citation'] = 'Random quote';
-/* TODO */$lang['module_desc_citation'] = 'Display a random quote';
-/* TODO */$lang['module_Citation_lang'] = 'Language';
-/* TODO */$lang['module_Citation_code'] = 'Related code';
+$lang['module_name_citation'] = 'Случайная цитата';
+$lang['module_desc_citation'] = 'Показать случайную цитату';
+$lang['module_Citation_lang'] = 'Язык';
+$lang['module_Citation_code'] = 'Код';
 
 //------------------------------------------------------------------------------
@@ -159,6 +150,6 @@
 //------------------------------------------------------------------------------
 
-/*TODO*/$lang['module_name_featuredphotos'] = 'Featured Photos';
-/*TODO*/$lang['module_desc_featuredphotos'] = 'Display favorites photos of the webmaster';
+$lang['module_name_featuredphotos'] = 'Избранные фотографии';
+$lang['module_desc_featuredphotos'] = 'Показать любимые фотографии вебмастера';
 
 ?>