Index: extensions/bbcode_bar/language/no_NO/index.php
===================================================================
--- extensions/bbcode_bar/language/no_NO/index.php	(revision 9082)
+++ extensions/bbcode_bar/language/no_NO/index.php	(revision 9682)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: extensions/bbcode_bar/language/no_NO/plugin.lang.php
===================================================================
--- extensions/bbcode_bar/language/no_NO/plugin.lang.php	(revision 9082)
+++ extensions/bbcode_bar/language/no_NO/plugin.lang.php	(revision 9682)
@@ -1,52 +1,47 @@
 <?php
-	global $lang;
-	
-$lang['admin_liste']         = "Liste :";
 
-$lang['p_help']         = "Paragraf : [p]Paragraf[/p]";
-$lang['b_help']         = "Fet : [b]Fet[/b]";
-$lang['i_help']         = "Italic : [i]italic[/i]";
-$lang['u_help']         = "Understreket : [u]understreket[/u]";
-$lang['s_help']         = "Stripet  : [s]stripet [/s]";
+	$lang['p_help']         = "Paragraf : [p]Paragraf[/p]";
+	$lang['b_help']         = "Fet : [b]Fet[/b]";
+	$lang['i_help']         = "Italic : [i]italic[/i]";
+	$lang['u_help']         = "Understreket : [u]understreket[/u]";
+	$lang['s_help']         = "Stripet  : [s]stripet [/s]";
 
-$lang['center_help']     = "Senter : [center]senter[/center]";
-$lang['right_help']     = "Høyre : [right]høyre[/right]";
-$lang['ul_help']         = "Uordnet Liste : [ul][li]element[/li][/ul]";
-$lang['ol_help']         = "Ordnet Liste : [ol][li]element[/li][/ol]";
-$lang['quote_help']     = "Spørring : [quote]spørring[/quote]";
-$lang['img_help']         = "Img : [img]img[/img]";
-$lang['url_help']         = "URL : [url=URL]Tittel[/url]";
-$lang['mail_help']         = "E-mail : [email]Email[/email]";
+	$lang['center_help']     = "Senter : [center]senter[/center]";
+	$lang['right_help']     = "Høyre : [right]høyre[/right]";
+	$lang['ul_help']         = "Uordnet Liste : [ul][li]element[/li][/ul]";
+	$lang['ol_help']         = "Ordnet Liste : [ol][li]element[/li][/ol]";
 
-$lang['size_help']         = "Skrift størrelse : [size=X]tekst[/size]";
-$lang['tiny']         = "Mini";
-$lang['small']         = "Liten";
-$lang['normal']     = "Normal";
-$lang['large']         = "Stor";
-$lang['huge']         = "Mega";
+	$lang['quote_help']     = "Spørring : [quote]spørring[/quote]";
+	$lang['img_help']         = "Img : [img]img[/img]";
+	$lang['url_help']         = "URL : [url=URL]Tittel[/url]";
+	$lang['mail_help']         = "E-mail : [email]Email[/email]";
 
-$lang['fc_help']     = "Font farge : [color=color]tekst[/color]";
-$lang['default_help']    = "Standard";
-$lang['maroon_help']     = "Maroon";
-$lang['red_help']         = "Rød";
-$lang['orange_help']     = "Orange";
-$lang['brown_help']     = "Brun";
-$lang['yellow_help']     = "Gul";
-$lang['green_help']     = "Grønn";
-$lang['olive_help']     = "Oliven";
-$lang['cyan_help']         = "Cyan";
-$lang['blue_help']         = "Blå";
-$lang['darkblue_help']    = "Mørk Blå";
-$lang['indigo_help']     = "Indigo";
-$lang['violet_help']     = "Fiolett";
-$lang['white_help']     = "Vit";
-$lang['black_help']     = "Svart";
+	$lang['size_help']         = "Skrift størrelse : [size=X]tekst[/size]";
+	$lang['tiny']         = "Mini";
+	$lang['small']         = "Liten";
+	$lang['normal']     = "Normal";
+	$lang['large']         = "Stor";
+	$lang['huge']         = "Mega";
 
-$lang['preview']         = "Forhåndsvis";
+	$lang['fc_help']     = "Font farge : [color=color]tekst[/color]";
+	$lang['default_help']    = "Standard";
+	$lang['maroon_help']     = "Maroon";
+	$lang['red_help']         = "Rød";
+	$lang['orange_help']     = "Orange";
+	$lang['brown_help']     = "Brun";
+	$lang['yellow_help']     = "Gul";
+	$lang['green_help']     = "Grønn";
+	$lang['olive_help']     = "Oliven";
+	$lang['cyan_help']         = "Cyan";
+	$lang['blue_help']         = "Blå";
+	$lang['darkblue_help']    = "Mørk Blå";
+	$lang['indigo_help']     = "Indigo";
+	$lang['violet_help']     = "Fiolett";
+	$lang['white_help']     = "Vit";
+	$lang['black_help']     = "Svart";
 
-$lang['help']            = "Enkel måte: En formatering kan gjøres på den valgte teksten.";
+	$lang['help']            = "Enkel måte: En formatering kan gjøres på den valgte teksten.";
 
-$lang['repicon']        = "Ikon mappe.";
+	$lang['repicon']        = "Ikon mappe.";
 
-$lang['bbcb_config_saved'] = "Konfigurasjon lagret";
 ?>