Index: extensions/ExtendedDescription/language/en_UK/help.html
===================================================================
--- extensions/ExtendedDescription/language/en_UK/help.html	(revision 9684)
+++ extensions/ExtendedDescription/language/en_UK/help.html	(revision 9686)
@@ -1,107 +1,108 @@
-<h2>Utvidgad beskrivning</h2>
+<h2>Extended Description</h2>
 
-<h3>Flerspråkiga beskrivningar</h3>
+<h3>Multilanguage descriptions</h3>
 
-<p>Flerspråkiga beskrivningar placeras mellan [lang=xx] och [/lang] tag, där xx är språkkoden (t.ex. EN, ES, FR). Det finns också 2 särskilda språk : [lang=default] och [lang=all]</p>
+<p>Multilanguage descriptions are placed between [lang=xx] and [/lang] tags, where xx is the language code (for example en, es, fr). There is also 2 special languages : [lang=default] and [lang=all]</p>
 
 <ul>
-  <li><b>Exempel</b>:<br>
+  <li><b>Example</b>:<br>
   <br>
-<code>[lang=default] standard beskrivning [/lang]<br>
-[lang=sv] beskrivningen på engelska [/lang]<br>
+<code>[lang=default] default description [/lang]<br>
+[lang=en] description in english [/lang]<br>
 [lang=de] deutsche Beschreibung [/lang]</code>
 </li>
 </ul>
 
-<p>Den förvalda beskrivning ska användas om beskrivningen är inte tillgänglig i den anslutna användaren valda språket.
-om [lang=default] inte finns, något utanför [lang] taggar kommer att betraktas som standard beskrivning.</p>
+<p>The default description will be used if the description is not available in the connected user selected language.
+If [lang=default] does not exists, anything outside the [lang] tags will be considered as the default description.</p>
 
-<p><u>speciella språk <i>alla</i></u>: något inuti [lang=all] kommer att ingå i beskrivningen, 0avsätt vad den anslutna användar definierade språk är.
-Detta är främst användbart att inkludera HTML/JavaScript-kod i en beskrivning.</p>
+<p><u>Special language <i>all</i></u>: anything inside [lang=all] will be included in the description, anywhat the connected user defined language is.
+This is mainly useful to include HTML/JavaScript code inside a description.</p>
 
-<h3>Utökade beskrivningar</h3>
+<h3>Extended descriptions</h3>
 
-<p>Utvidgad beskrivnings taggar gör det möjligt att ha en kort beskrivning för den kategorin utanför kategorin,
-en längre beskrivning för kategorin inuti kategori sidan
-eller till och med 2 separata beskrivningar inne i kategorin sidan.</p>
+<p>Extended description tags make it possible to have a short description for the category outside the category,
+a longer description for the category inside the category page,
+or even 2 distinct descriptions inside the category page.</p>
 
-<p>taggen &lt;!--mer--&gt; lägger till text till den korta beskrivningen.<br>
-taggen &lt;!--Komplett--&gt; låta användaren har 2 tydliga beskrivningar.<br>
-tagggen &lt;!--upp och ned--&gt; låter användaren ha en topp och en botten beskrivning.</p>
+<p>tag &lt;!--more--&gt; adds text to the short description.<br>
+tag &lt;!--complete--&gt; let the user have 2 distinct descriptions.<br>
+tag &lt;!--up-down--&gt; let the user have a top and a bottom description.</p>
 
 <ul>
-  <li><b>taggen &lt;!--mer--&gt;</b></li>
+  <li><b>tag &lt;!--more--&gt;</b></li>
 </ul>
-<code>kort beskrivning &lt;!-Mer--&gt; utökad beskrivning</code>
-<p>Endast den korta beskrivning visas utanför kategorin. På kategori sidan ser du en kort beskrivning + utökade beskrivningen.</p>
+<code>short description &lt;!--more--&gt; long description</code>
+<p>Only the short description is displayed outside the category. On the category page, you will see short description + long description.</p>
 
 <ul>
-  <li><b>taggen &lt;!--komplett--&gt;</b></li>
+  <li><b>tag &lt;!--complete--&gt;</b></li>
 </ul>
-<code>kort beskrivning &lt;!--komplett--&gt; komplett beskrivning</code>
-<p>Endast den korta beskrivning visas utanför kategorin. På kategorin sidan, kommer du bara att se den långa beskrivningen, så du har 2 olika beskrivningar.</p>
+<code>short description &lt;!--complete--&gt; long description</code>
+<p>Only the short description is displayed outside the category. On the category page, you will only see the long description, so you have 2 distinct descriptions.</p>
 
 <ul>
-  <li><b>taggen &lt;!--upp och ned--&gt;</b></li>
+  <li><b>tag &lt;!--up-down--&gt;</b></li>
 </ul>
-<code>topp beskrivning &lt;!--upp och ned--&gt; nedekants beskrivning</code>
-<p>Endast den översta beskrivning visas utanför kategorin. På kategorin sidan, är toppen beskrivning visas ovanför miniatyrer, är botten beskrivningen visas under miniatyrbilderna.</p>
+<code>top description &lt;!--up-down--&gt; bottom description</code>
+<p>Only the top description is displayed outside the category.  On the category page, the top description is displayed above the thumbnails, the bottom description is displayed below the thumbnails.</p>
 
-<h3>Infoga en kategori eller ett foto</h3>
+<h3>Insert a category or a photo</h3>
 
 <ul>
-  <li><b>taggen [cat=xx]</b></li>
+  <li><b>tag [cat=xx]</b></li>
 </ul>
-<p>taggen infogar en kategori i beskrivningen, där xx är kategorin identifieraren.</p>
+<p>This tag inserts a category in the description, where xx is the category identifier.</p>
 
 <ul>
-  <li><b>taggen [img=xx1 xx2 xxN;yyyy;namn]</b></li>
+  <li><b>tag [img=xx1 xx2 xxN;yyyy;name]</b></li>
 </ul>
-<p>Denna tagg gör det möjligt att infoga en eller flera miniatyr i beskrivningen, med :<br><br>
-- xx på bild ID, du kan lägga till kategorin ID bredvid fotot identitetsbeteckning: <code>xx.ccc</code>.
+<p>This tag allows to insert one or more thumbnail in the description, with:<br><br>
+- xx the photo identifier; you can add the category identifier next to the photo identifier: <code>xx.ccc</code>.
 <br>
-- yyyy (valfritt): kan ta något värde bland {vänster, höger}.</p>
-- Namn (frivilligt): kan ta något värde bland {namn, Titelnamn}. Om taggade med <i>namn</i> namnet på bilden är visade värdet under miniatyren, med <i>Titelnamn</i>
+- yyyy (optional) : can take any value among {left, right}.</p>
+- name (optional) : can take any value among {name, titleName}. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the image markup &lt;title&gt; is fill with the name.</p>
 
-<h3>Dölja en kategori</h3>
 
-<p>Använd tag<b>&lt;!--dolda--&gt;</b>  i kategori namnet:<br>
+<h3>Hide a category</h3>
+
+<p>Use tag <b>&lt;!--hidden--&gt;</b> in the category name:<br>
 <br>
- - Det kommer inte att visas i den överordnade kategorin<br>
- - Det är fortfarande synlig i kategorin menyn</p>
+- it won't be displayed in the parent category<br>
+- it remains visible in the category menu</p>
 
-<h3>Dölja en kategori i menyn</h3>
+<h3>Hide a category in menu</h3>
 
-<p>Använd tag<b>&lt;!--mb-dolda--&gt;</b> i kategori namnet:<br>
+<p>Use tag <b>&lt;!--mb-hidden--&gt;</b> in the category name:<br>
 <br>
-- Den kommer inte att visas i kategori menyn<br>
-- Den förblir synligt i den överordnade kategorin</p>
+- it won't be displayed in the category menu<br>
+- it remains visible in the parent category</p>
 
-<h3>Dölj en bild</h3>
+<h3>Hide an image</h3>
 
-<p>Använd tag <b>&lt;!--dold--&gt;</b> i bildens namn:<br>
+<p>Use tag <b>&lt;!--hidden--&gt;</b> in the image name:<br>
 <br>
-- Det kommer inte att visas på miniatyrerna sidan<br>
-- Det är fortfarande synlig i kategorin</p>
+- it won't be displayed on the thumbnails page<br>
+- it remains visible inside the category</p>
 
-<h3>Omdirigerad kategori</h3>
+<h3>Redirected category</h3>
 
 <ul>
-  <li><b>[omdirigering http://piwigo.org]</b></li>
+  <li><b>[redirect http://piwigo.org]</b></li>
 </ul>
-<p>Sätt denna tagg i en kategori beskrivning styra över dem till webbadressen för ditt val.</p>
+<p>Insert this tag into a category description to redirect it to the URL of your choice.</p>
 
 <ul>
-  <li><b>[omdirigera img=xx]</b></li>
+  <li><b>[redirect img=xx]</b></li>
 </ul>
-<p>Omdirigera till en bild av ditt galleri där xx är fotot identifierare, du kan lägga till kategori ID bredvid fotot identifierare: <code>xx.ccc</code>.</p>
+<p>Redirect to an image of your gallery where xx is the photo identifier; you can add the category identifier next to the photo identifier: <code>xx.ccc</code>.</p>
 
 <ul>
-  <li><b>[omdirigera cat=xx]</b></li>
+  <li><b>[redirect cat=xx]</b></li>
 </ul>
-<p>Omdirigera till en kategori av ditt galleri där xx kategorin id.</p>
+<p>Redirect to a category of your gallery where xx the category identifier.</p>
 
 <ul>
-  <li><b>[omdirigera sökning=xx]</b></li>
+  <li><b>[redirect search=xx]</b></li>
 </ul>
-<p>Omdirigering till en sökning på ditt galleri där xx är sök ID.</p>
+<p>Redirect to a search page of your gallery where xx is the search identifier.</p>