Index: /extensions/ExtendedDescription/language/sv_SE/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/sv_SE/description.txt	(revision 9689)
+++ /extensions/ExtendedDescription/language/sv_SE/description.txt	(revision 9689)
@@ -0,0 +1,1 @@
+Lägg till flerspråkiga beskrivningar, banner, NMB, kategori namn, etc. ..
Index: /extensions/ExtendedDescription/language/sv_SE/help.html
===================================================================
--- /extensions/ExtendedDescription/language/sv_SE/help.html	(revision 9689)
+++ /extensions/ExtendedDescription/language/sv_SE/help.html	(revision 9689)
@@ -0,0 +1,107 @@
+<h2>Utvidgad beskrivning</h2>
+
+<h3>Flerspråkiga beskrivningar</h3>
+
+<p>Flerspråkiga beskrivningar placeras mellan [lang=xx] och [/lang] tag, där xx är språkkoden (t.ex. EN, ES, FR). Det finns också 2 särskilda språk : [lang=default] och [lang=all]</p>
+
+<ul>
+  <li><b>Exempel</b>:<br>
+  <br>
+<code>[lang=default] standard beskrivning [/lang]<br>
+[lang=sv] beskrivningen på engelska [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]</code>
+</li>
+</ul>
+
+<p>Den förvalda beskrivning ska användas om beskrivningen är inte tillgänglig i den anslutna användaren valda språket.
+om [lang=default] inte finns, något utanför [lang] taggar kommer att betraktas som standard beskrivning.</p>
+
+<p><u>speciella språk <i>alla</i></u>: något inuti [lang=all] kommer att ingå i beskrivningen, 0avsätt vad den anslutna användar definierade språk är.
+Detta är främst användbart att inkludera HTML/JavaScript-kod i en beskrivning.</p>
+
+<h3>Utökade beskrivningar</h3>
+
+<p>Utvidgad beskrivnings taggar gör det möjligt att ha en kort beskrivning för den kategorin utanför kategorin,
+en längre beskrivning för kategorin inuti kategori sidan
+eller till och med 2 separata beskrivningar inne i kategorin sidan.</p>
+
+<p>taggen &lt;!--mer--&gt; lägger till text till den korta beskrivningen.<br>
+taggen &lt;!--Komplett--&gt; låta användaren har 2 tydliga beskrivningar.<br>
+tagggen &lt;!--upp och ned--&gt; låter användaren ha en topp och en botten beskrivning.</p>
+
+<ul>
+  <li><b>taggen &lt;!--mer--&gt;</b></li>
+</ul>
+<code>kort beskrivning &lt;!-Mer--&gt; utökad beskrivning</code>
+<p>Endast den korta beskrivning visas utanför kategorin. På kategori sidan ser du en kort beskrivning + utökade beskrivningen.</p>
+
+<ul>
+  <li><b>taggen &lt;!--komplett--&gt;</b></li>
+</ul>
+<code>kort beskrivning &lt;!--komplett--&gt; komplett beskrivning</code>
+<p>Endast den korta beskrivning visas utanför kategorin. På kategorin sidan, kommer du bara att se den långa beskrivningen, så du har 2 olika beskrivningar.</p>
+
+<ul>
+  <li><b>taggen &lt;!--upp och ned--&gt;</b></li>
+</ul>
+<code>topp beskrivning &lt;!--upp och ned--&gt; nedekants beskrivning</code>
+<p>Endast den översta beskrivning visas utanför kategorin. På kategorin sidan, är toppen beskrivning visas ovanför miniatyrer, är botten beskrivningen visas under miniatyrbilderna.</p>
+
+<h3>Infoga en kategori eller ett foto</h3>
+
+<ul>
+  <li><b>taggen [cat=xx]</b></li>
+</ul>
+<p>taggen infogar en kategori i beskrivningen, där xx är kategorin identifieraren.</p>
+
+<ul>
+  <li><b>taggen [img=xx1 xx2 xxN;yyyy;namn]</b></li>
+</ul>
+<p>Denna tagg gör det möjligt att infoga en eller flera miniatyr i beskrivningen, med :<br><br>
+- xx på bild ID, du kan lägga till kategorin ID bredvid fotot identitetsbeteckning: <code>xx.ccc</code>.
+<br>
+- yyyy (valfritt): kan ta något värde bland {vänster, höger}.</p>
+- Namn (frivilligt): kan ta något värde bland {namn, Titelnamn}. Om taggade med <i>namn</i> namnet på bilden är visade värdet under miniatyren, med <i>Titelnamn</i>
+
+<h3>Dölja en kategori</h3>
+
+<p>Använd tag<b>&lt;!--dolda--&gt;</b>  i kategori namnet:<br>
+<br>
+ - Det kommer inte att visas i den överordnade kategorin<br>
+ - Det är fortfarande synlig i kategorin menyn</p>
+
+<h3>Dölja en kategori i menyn</h3>
+
+<p>Använd tag<b>&lt;!--mb-dolda--&gt;</b> i kategori namnet:<br>
+<br>
+- Den kommer inte att visas i kategori menyn<br>
+- Den förblir synligt i den överordnade kategorin</p>
+
+<h3>Dölj en bild</h3>
+
+<p>Använd tag <b>&lt;!--dold--&gt;</b> i bildens namn:<br>
+<br>
+- Det kommer inte att visas på miniatyrerna sidan<br>
+- Det är fortfarande synlig i kategorin</p>
+
+<h3>Omdirigerad kategori</h3>
+
+<ul>
+  <li><b>[omdirigering http://piwigo.org]</b></li>
+</ul>
+<p>Sätt denna tagg i en kategori beskrivning styra över dem till webbadressen för ditt val.</p>
+
+<ul>
+  <li><b>[omdirigera img=xx]</b></li>
+</ul>
+<p>Omdirigera till en bild av ditt galleri där xx är fotot identifierare, du kan lägga till kategori ID bredvid fotot identifierare: <code>xx.ccc</code>.</p>
+
+<ul>
+  <li><b>[omdirigera cat=xx]</b></li>
+</ul>
+<p>Omdirigera till en kategori av ditt galleri där xx kategorin id.</p>
+
+<ul>
+  <li><b>[omdirigera sökning=xx]</b></li>
+</ul>
+<p>Omdirigering till en sökning på ditt galleri där xx är sök ID.</p>
Index: /extensions/ExtendedDescription/language/sv_SE/index.php
===================================================================
--- /extensions/ExtendedDescription/language/sv_SE/index.php	(revision 9689)
+++ /extensions/ExtendedDescription/language/sv_SE/index.php	(revision 9689)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/sv_SE/plugin.lang.php	(revision 9689)
+++ /extensions/ExtendedDescription/language/sv_SE/plugin.lang.php	(revision 9689)
@@ -0,0 +1,6 @@
+<?php
+
+$lang['ExtendedDesc_help'] = 'Use Extended Description tags...';
+$lang['This category is redirected to %s'] = 'This category is redirected to %s';
+
+?>