Index: extensions/PWG_Stuffs/language/it_IT/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 9664)
+++ extensions/PWG_Stuffs/language/it_IT/plugin.lang.php	(revision 9690)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Gestione dei blocchi';
+$lang['stuffs_add_mod'] = 'Aggiungere un blocco';
+$lang['stuffs_edit_mod'] = 'Modificare il blocco';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Titolo del blocco';
+$lang['stuffs_desc'] = 'Descrizione';
+$lang['stuffs_only_for_admin'] = '(solo per il pannello dell\'amministrazione)';
+$lang['stuffs_type'] = 'Tipo di blocco';
+$lang['stuffs_position'] = 'Posizione';
+$lang['stuffs_id_ligne'] = 'ID line';
+$lang['stuffs_width'] = 'Larghezza';
+$lang['stuffs_action'] = 'Azioni';
+$lang['stuffs_edit'] = 'Modifica del blocco';
+$lang['stuffs_delete'] = 'Eliminare il blocco';
+$lang['stuffs_confirm_delete'] = 'È sicuro di voler eliminare il blocco %s?';
+$lang['stuffs_main_block'] = 'Blocco principale';
+$lang['Hide on home page'] = 'Nascondi sulla pagina iniziale';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Aggiungere un nuovo blocco';
+$lang['stuffs_module_config'] = 'Configurazione del blocco';
+$lang['stuffs_visual_config'] = 'Configurazione della visualizzazione';
+$lang['stuffs_module_options'] = 'Opzioni del blocco';
+$lang['stuffs_authorized_group'] = 'Gruppi autorizzati';
+$lang['stuffs_authorized_users'] = 'utenti autorizzati';
+$lang['stuffs_public_module'] = '(Mantenere vuoto per un blocco pubblico)';
+$lang['stuffs_show_title'] = 'Mostrare il titolo del blocco';
+$lang['stuffs_show_module_on'] = 'Mostrare il blocco :';
+$lang['stuffs_show_on_home'] = 'Sulla pagina principale';
+$lang['stuffs_show_on_root'] = 'Alla radice delle categorie';
+$lang['stuffs_show_on_cats'] = 'Su tutte le pagine delle categorie';
+$lang['stuffs_show_on_picture'] = 'Sulle pagine delle foto';
+$lang['stuffs_no_options'] = 'Nessuna opzione per questo blocco';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Attivare la gestione di autorizzazione:';
+$lang['stuffs_group_perm'] = 'per gruppi';
+$lang['stuffs_user_perm'] = 'per tipo d\'utente';
+$lang['stuffs_level_perm'] = 'per livello privacy';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Selezionare tutto';
+$lang['stuffs_unselect_all'] = 'Deselezionare tutto';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Ordine salvato con successo.';
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs plug-in è stato rinominato. Ora si chiama "Blocks".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Non ha scelto nessun blocco.';
+$lang['stuffs_no_name'] = 'Deve specificare il nome del blocco';
+$lang['stuffs_parent_plugin_is_missing'] = 'IL PLUG-IN PARENTE NON È ATTIVO. Dovrebbe rimuovere il blocco o riattivare il plug-in parente.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUG-IN DEVE ESSERE AGGIORNATO. PWG Stuffs non è compatibile con la versione di Piclens.';
 
 //------------------------------------------------------------------------------
@@ -69,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Altezza dei quadri';
 
-
 //------------------------------------------------------------------------------
 //              Module Logon
@@ -79,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Rimuovere il blocco "identificazione rapida" dalla barra dei menu';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -88,5 +86,4 @@
 
 $lang['personal_content'] = 'Contenuto';
-
 
 //------------------------------------------------------------------------------
@@ -101,5 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Ragruppare per lettera';
 $lang['stuffs_tags_cumulus'] = 'Usare cumulus (il plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> deve essere installato)';
-
 
 //------------------------------------------------------------------------------