Index: extensions/PWG_Stuffs/language/de_DE/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/de_DE/plugin.lang.php	(revision 9690)
+++ extensions/PWG_Stuffs/language/de_DE/plugin.lang.php	(revision 9691)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Verwaltung der Blöcke';
+$lang['stuffs_add_mod'] = 'Einen Block hinzufügen';
+$lang['stuffs_edit_mod'] = 'Einen Block bearbeiten';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Titel des Blockes';
+$lang['stuffs_desc'] = 'Beschreibung';
+$lang['stuffs_only_for_admin'] = '(nur für den Administrations Panel)';
+$lang['stuffs_type'] = 'Block-Typ';
+$lang['stuffs_position'] = 'Position';
+$lang['stuffs_id_ligne'] = 'ID Linie';
+$lang['stuffs_width'] = 'Breite';
+$lang['stuffs_action'] = 'Aktionen';
+$lang['stuffs_edit'] = 'Block bearbeiten';
+$lang['stuffs_delete'] = 'Block löschen';
+$lang['stuffs_confirm_delete'] = 'Sind Sie sicher, dass Sie den Block %s löschen wollen?';
+$lang['stuffs_main_block'] = 'Hauptblock';
+$lang['Hide on home page'] = 'Auf der Startseite verbergen';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Einen neuen Block hinzufügen';
+$lang['stuffs_module_config'] = 'Block-Konfiguration';
+$lang['stuffs_visual_config'] = 'Display-Konfiguration';
+$lang['stuffs_module_options'] = 'Block-Optionen';
+$lang['stuffs_authorized_group'] = 'Autorisierte Gruppen';
+$lang['stuffs_authorized_users'] = 'Autorisierte Benutzer';
+$lang['stuffs_public_module'] = '(Leer lassen um den Block öffentlich zu halten.)';
+$lang['stuffs_show_title'] = 'Block Titel anzeigen';
+$lang['stuffs_show_module_on'] = 'Block anzeigen :';
+$lang['stuffs_show_on_home'] = 'Auf der Startseite';
+$lang['stuffs_show_on_root'] = 'Am Stamm der Kategorien.';
+$lang['stuffs_show_on_cats'] = 'Auf allen Kategorie Seiten';
+$lang['stuffs_show_on_picture'] = 'Auf den Bilderseiten';
+$lang['stuffs_no_options'] = 'Keine Optionen für diesen Block';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Verwaltung der Genehmigungen aktivieren';
+$lang['stuffs_group_perm'] = 'nach Gruppen';
+$lang['stuffs_user_perm'] = 'nach Benutzer Typ';
+$lang['stuffs_level_perm'] = 'nach Privacy Level';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Alle auswählen';
+$lang['stuffs_unselect_all'] = 'Alle Auswahlen aufheben';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Reihenfolge erfolgreich gespeichert.';
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs Plug-In wurde umbenannt. Es heißt nun "Blocks".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Sie haben keinen Block ausgewählt.';
+$lang['stuffs_no_name'] = 'Sie müssen den Namen des Blockes angeben';
+$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IST NICHT AKTIVIERT. Sie sollten diesen Block entfernen oder den übergeordneten Plug-In reaktivieren.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUSS AKTUALISIERT WERDEN. PWG Stuffs ist nicht kompatibel mit dieser Version von Piclens.';
 
 //------------------------------------------------------------------------------
@@ -69,5 +69,4 @@
 $lang['lastcoms_taille_cadres'] = 'Höhe der Blöcke';
 
-
 //------------------------------------------------------------------------------
 //              Module Logon
@@ -79,5 +78,4 @@
 $lang['logon_remove_menubar_block'] = 'Die "Schnellanmeldung" vom Hauptmenü entfernen';
 
-
 //------------------------------------------------------------------------------
 //              Module Personal
@@ -88,5 +86,4 @@
 
 $lang['personal_content'] = 'Inhalt';
-
 
 //------------------------------------------------------------------------------
@@ -101,5 +98,4 @@
 $lang['stuffs_tags_letters'] = 'Nach Buchstaben gruppieren';
 $lang['stuffs_tags_cumulus'] = 'Den Modus Cumulus benützen(Das Plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> muss dazu installiert werden)';
-
 
 //------------------------------------------------------------------------------
@@ -154,6 +150,6 @@
 //------------------------------------------------------------------------------
 
-/*TODO*/$lang['module_name_featuredphotos'] = 'Featured Photos';
-/*TODO*/$lang['module_desc_featuredphotos'] = 'Display favorites photos of the webmaster';
+$lang['module_name_featuredphotos'] = 'Ausgewählte Fotos';
+$lang['module_desc_featuredphotos'] = 'Lieblingsbilder des Webmasters anzeigen';
 
 ?>