Index: extensions/PWG_Stuffs/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/PWG_Stuffs/language/lv_LV/plugin.lang.php	(revision 9691)
+++ extensions/PWG_Stuffs/language/lv_LV/plugin.lang.php	(revision 9692)
@@ -1,54 +1,54 @@
 <?php
 
-/*TODO*/$lang['stuffs_mods_management'] = 'Blocks management';
-/*TODO*/$lang['stuffs_add_mod'] = 'Add a block';
-/*TODO*/$lang['stuffs_edit_mod'] = 'Edit block';
+$lang['stuffs_mods_management'] = 'Bloku pārvaldība';
+$lang['stuffs_add_mod'] = 'Pievienot bloku';
+$lang['stuffs_edit_mod'] = 'Rediģēt bloku';
 
-/*TODO*/$lang['stuffs_module_title'] = 'Block title';
-/*TODO*/$lang['stuffs_desc'] = 'Description';
-/*TODO*/$lang['stuffs_only_for_admin'] = '(only for administration pannel)';
-/*TODO*/$lang['stuffs_type'] = 'Block type';
-/*TODO*/$lang['stuffs_position'] = 'Position';
-/*TODO*/$lang['stuffs_id_ligne'] = 'ID line';
-/*TODO*/$lang['stuffs_width'] = 'Width';
-/*TODO*/$lang['stuffs_action'] = 'Actions';
-/*TODO*/$lang['stuffs_edit'] = 'Modify block';
-/*TODO*/$lang['stuffs_delete'] = 'Delete block';
-/*TODO*/$lang['stuffs_confirm_delete'] = 'Are you sure you want to delete block %s?';
-/*TODO*/$lang['stuffs_main_block'] = 'Main block';
-/*TODO*/$lang['Hide on home page'] = 'Hide on home page';
+$lang['stuffs_module_title'] = 'Bloka virsraksts';
+$lang['stuffs_desc'] = 'Apraksts';
+$lang['stuffs_only_for_admin'] = '(tikai administrēšanas panelim)';
+$lang['stuffs_type'] = 'Bloka tips';
+$lang['stuffs_position'] = 'Pozīcija';
+$lang['stuffs_id_ligne'] = 'ID rinda';
+$lang['stuffs_width'] = 'Platums';
+$lang['stuffs_action'] = 'Darbības';
+$lang['stuffs_edit'] = 'Modificēt bloku';
+$lang['stuffs_delete'] = 'Dzēst bloku';
+$lang['stuffs_confirm_delete'] = 'Vai esat pārliecināts, ka gribat dzēst bloku %s?';
+$lang['stuffs_main_block'] = 'Galvenais bloks';
+$lang['Hide on home page'] = 'paslēpt mājas lapā';
 
-/*TODO*/$lang['stuffs_add_module'] = 'Add new block';
-/*TODO*/$lang['stuffs_module_config'] = 'Block configuration';
-/*TODO*/$lang['stuffs_visual_config'] = 'Display configuration';
-/*TODO*/$lang['stuffs_module_options'] = 'Block options';
-/*TODO*/$lang['stuffs_authorized_group'] = 'Authorized groups';
-/*TODO*/$lang['stuffs_authorized_users'] = 'Authorized users';
-/*TODO*/$lang['stuffs_public_module'] = '(Keep empty for public block)';
-/*TODO*/$lang['stuffs_show_title'] = 'Show block title';
-/*TODO*/$lang['stuffs_show_module_on'] = 'Show block :';
-/*TODO*/$lang['stuffs_show_on_home'] = 'On main page';
-/*TODO*/$lang['stuffs_show_on_root'] = 'On categories root page';
-/*TODO*/$lang['stuffs_show_on_cats'] = 'On all categories pages';
-/*TODO*/$lang['stuffs_show_on_picture'] = 'On picture pages';
-/*TODO*/$lang['stuffs_no_options'] = 'No options for this block';
+$lang['stuffs_add_module'] = 'Pievienot jaunu bloku';
+$lang['stuffs_module_config'] = 'Bloka konfigurācija';
+$lang['stuffs_visual_config'] = 'Vizuālā konfigurācija';
+$lang['stuffs_module_options'] = 'Bloka opcijas';
+$lang['stuffs_authorized_group'] = 'Autorizētās grupas';
+$lang['stuffs_authorized_users'] = 'Autorizētie lietotāji';
+$lang['stuffs_public_module'] = '(Atstāt tukšu priekš publiskā bloka)';
+$lang['stuffs_show_title'] = 'Rādīt bloka virsrakstu';
+$lang['stuffs_show_module_on'] = 'Rādīt bloku :';
+$lang['stuffs_show_on_home'] = 'Galvenajā lapā';
+$lang['stuffs_show_on_root'] = 'Kategoriju saknes lapā';
+$lang['stuffs_show_on_cats'] = 'Visās kategorijas lapās';
+$lang['stuffs_show_on_picture'] = 'Attēlu lapās';
+$lang['stuffs_no_options'] = 'Šim blokam nav opciju';
 
-/*TODO*/$lang['stuffs_perm'] = 'Activate authorization management:';
-/*TODO*/$lang['stuffs_group_perm'] = 'by groups';
-/*TODO*/$lang['stuffs_user_perm'] = 'by user type';
-/*TODO*/$lang['stuffs_level_perm'] = 'by privacy level';
+$lang['stuffs_perm'] = 'Aktivizēt autorizācijas pārvaldību:';
+$lang['stuffs_group_perm'] = 'pēc grupām';
+$lang['stuffs_user_perm'] = 'pēc lietotāja tipa';
+$lang['stuffs_level_perm'] = 'pēc konfidencialitātes līmeņa';
 
-/*TODO*/$lang['stuffs_select_all'] = 'Select all';
-/*TODO*/$lang['stuffs_unselect_all'] = 'Unselect all';
+$lang['stuffs_select_all'] = 'Atlasīt visu';
+$lang['stuffs_unselect_all'] = 'Atcelt atlasīšanu';
 
 // Infos messages
-/*TODO*/$lang['stuffs_order_saved'] = 'Order successfully saved.';
-/*TODO*/$lang['stuffs_upgrade_message'] = 'PWG Stuffs plugin as been renamed. It is now called "Blocks".';
+$lang['stuffs_order_saved'] = 'Kārtība sekmīgi saglabāta.';
+$lang['stuffs_upgrade_message'] = 'PWG Stuffs spraudnis ticis pārsaukts. Tagad tas saucas "Blocks".';
 
 // Errors messages
-/*TODO*/$lang['stuffs_error_no_mod_selected'] = 'You didn\'t select any block.';
-/*TODO*/$lang['stuffs_no_name'] = 'You must specify block\'s name';
-/*TODO*/$lang['stuffs_parent_plugin_is_missing'] = 'PARENT PLUGIN IS NOT ACTIVATED. You should remove this block or re-activate parent plugin.';
-/*TODO*/$lang['stuffs_piclens_need_upgrade'] = 'PICLENS PLUGIN MUST BE UPDATED. PWG Stuffs is not compatible with this version of Piclens.';
+$lang['stuffs_error_no_mod_selected'] = 'Jūs neesat izvēlējies nevienu bloku.';
+$lang['stuffs_no_name'] = 'Jums jānorāda bloka nosaukums';
+$lang['stuffs_parent_plugin_is_missing'] = 'MĀTES PRAUDNIS (PARENT PLUGIN) NAV AKTIVIZĒTS. Jums jāizdzēš šis bloks vai jāreaktivē mātes spraudnis.';
+$lang['stuffs_piclens_need_upgrade'] = 'PICLENS SPRAUDNI IR NEPIECIEŠAMS ATJAUNINĀT. PWG Stuffs nav savietojams ar šo Piclens versiju.';
 
 //------------------------------------------------------------------------------