Index: /extensions/SmiliesSupport/language/cs_CZ/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/cs_CZ/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/cs_CZ/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Povolí vkládání smajlíků do komentářů a popisků.
Index: /extensions/SmiliesSupport/language/cs_CZ/index.php
===================================================================
--- /extensions/SmiliesSupport/language/cs_CZ/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/cs_CZ/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Smileys' folder";
+$lang['nb_columns'] = "Nb. columns";
+$lang['representant'] = "Representative";
+
+?>
Index: /extensions/SmiliesSupport/language/de_DE/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/de_DE/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/de_DE/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Erlaubt das Hinzufügen von Smilies in den Kommentaren und den Beschreibungen.
Index: /extensions/SmiliesSupport/language/de_DE/index.php
===================================================================
--- /extensions/SmiliesSupport/language/de_DE/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/de_DE/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Smilies Ordner";
+$lang['nb_columns'] = "Anz. Spalten";
+$lang['representant'] = "Repräsentative";
+
+?>
Index: /extensions/SmiliesSupport/language/hu_HU/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/hu_HU/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/hu_HU/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Lehetové teszi hangulatjelek használatát hozzászólásokban és leírásokban.
Index: /extensions/SmiliesSupport/language/hu_HU/index.php
===================================================================
--- /extensions/SmiliesSupport/language/hu_HU/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/hu_HU/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Hangulatjelek elérési útja";
+$lang['nb_columns'] = "Oszlopok száma";
+$lang['representant'] = "Képviselo";
+
+?>
Index: /extensions/SmiliesSupport/language/it_IT/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/it_IT/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/it_IT/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Permette d'aggiungere degli Smilies per i commenti e le descrizioni
Index: /extensions/SmiliesSupport/language/it_IT/index.php
===================================================================
--- /extensions/SmiliesSupport/language/it_IT/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/it_IT/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/it_IT/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/it_IT/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Cartella degli smileys";
+$lang['nb_columns'] = "Num. di colonne";
+$lang['representant'] = "Rappresentante";
+
+?>
Index: /extensions/SmiliesSupport/language/lv_LV/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/lv_LV/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/lv_LV/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Ļauj pievienot Smailijus komentāriem un aprakstiem.
Index: /extensions/SmiliesSupport/language/lv_LV/index.php
===================================================================
--- /extensions/SmiliesSupport/language/lv_LV/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/lv_LV/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Smileys' folder";
+$lang['nb_columns'] = "Nb. columns";
+$lang['representant'] = "Representative";
+
+?>
Index: /extensions/SmiliesSupport/language/no_NO/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/no_NO/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/no_NO/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Godta å legge til Smilier på kommentarer og beskrivelser.
Index: /extensions/SmiliesSupport/language/no_NO/index.php
===================================================================
--- /extensions/SmiliesSupport/language/no_NO/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/no_NO/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/no_NO/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/no_NO/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Smileys' folder";
+$lang['nb_columns'] = "Nb. columns";
+$lang['representant'] = "Representative";
+
+?>
Index: /extensions/SmiliesSupport/language/ru_RU/index.php
===================================================================
--- /extensions/SmiliesSupport/language/ru_RU/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/ru_RU/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Smileys' folder";
+$lang['nb_columns'] = "Nb. columns";
+$lang['representant'] = "Representative";
+
+?>
Index: /extensions/SmiliesSupport/language/sk_SK/description.txt
===================================================================
--- /extensions/SmiliesSupport/language/sk_SK/description.txt	(revision 9697)
+++ /extensions/SmiliesSupport/language/sk_SK/description.txt	(revision 9697)
@@ -0,0 +1,1 @@
+Povolenie pridávania smajlíkov do komentárov a popisov.
Index: /extensions/SmiliesSupport/language/sk_SK/index.php
===================================================================
--- /extensions/SmiliesSupport/language/sk_SK/index.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/sk_SK/index.php	(revision 9697)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php	(revision 9697)
+++ /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php	(revision 9697)
@@ -0,0 +1,7 @@
+<?php
+
+$lang['smilies_dir'] = "Smileys' folder";
+$lang['nb_columns'] = "Nb. columns";
+$lang['representant'] = "Representative";
+
+?>