Index: /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/cs_CZ/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. columns";
 $lang['representant'] = "Representative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/de_DE/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Anz. Spalten";
 $lang['representant'] = "Repräsentative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/en_UK/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/en_UK/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. columns";
 $lang['representant'] = "Representative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/fr_FR/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/fr_FR/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. de colonnes";
 $lang['representant'] = "Représentant";
+$lang['All Smilies'] = "Tous les smileys";
 
 ?>
Index: /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/hu_HU/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Oszlopok száma";
 $lang['representant'] = "Képviselo";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/it_IT/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/it_IT/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Num. di colonne";
 $lang['representant'] = "Rappresentante";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/lv_LV/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. columns";
 $lang['representant'] = "Representative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/no_NO/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/no_NO/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. columns";
 $lang['representant'] = "Representative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/ru_RU/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. columns";
 $lang['representant'] = "Representative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php	(revision 9699)
+++ /extensions/SmiliesSupport/language/sk_SK/plugin.lang.php	(revision 9700)
@@ -4,4 +4,5 @@
 $lang['nb_columns'] = "Nb. columns";
 $lang['representant'] = "Representative";
+$lang['All Smilies'] = "All Smilies";
 
 ?>
Index: /extensions/SmiliesSupport/smiliessupport_page.tpl
===================================================================
--- /extensions/SmiliesSupport/smiliessupport_page.tpl	(revision 9699)
+++ /extensions/SmiliesSupport/smiliessupport_page.tpl	(revision 9700)
@@ -4,5 +4,5 @@
 
 <div width="500pt">
-	<img id="allsmilies" src="{$REPRESENTANT}" title="All Smilies" onmouseover="jQuery('#smiliesdiv').css('visibility','visible');">
+	<img id="allsmilies" src="{$REPRESENTANT}" title="{'All Smilies'|@translate}" onmouseover="jQuery('#smiliesdiv').css('visibility','visible');">
 
 	<div id="smiliesdiv" >